Package Details: luajit-lgi 0.9.0-1

Git Clone URL: https://aur.archlinux.org/luajit-lgi.git (read-only)
Package Base: luajit-lgi
Description: Lua binadings for gnome/gobject using gobject-introspection library
Upstream URL: https://github.com/pavouk/lgi
Licenses: custom:MIT
Conflicts: lgi
Submitter: Mic92
Maintainer: scadu
Last Packager: scadu
Votes: 3
Popularity: 0.753938
First Submitted: 2012-12-30 22:36
Last Updated: 2015-06-18 17:02

Latest Comments

nasedo commented on 2015-07-13 16:19

Please add gobject-introspection to makedepends and gobject-introspection-runtime to depends.

scadu commented on 2015-03-19 18:04

Upgraded to newest version.

ackalker commented on 2015-03-18 02:51

I'm giving this package up for adoption, as requested in PRQ#2714.

ackalker commented on 2013-03-23 00:50

Thanks :-)

Mic92 commented on 2013-03-22 08:09

Here we go.

ackalker commented on 2013-03-21 23:02

Thanks for the compiiment, sure i'd love to adopt it ;-)

Mic92 commented on 2013-03-21 17:52

You seems to be a more advanced user of lua-lgi. Interested in maintaining it?

ackalker commented on 2013-03-21 17:41

Updated to use lgi 0.7.1 while I was at it. Kept close to lua-lgi in [community] for easy reference.
Among other things, this allows one to use gstreamer 1.0 (not just 0.10) from luajit (tested!)). Yay!
New PKGBUILD: http://pastie.org/6972980

ackalker commented on 2013-03-21 17:01

Trivially fixed PKGBUILD (renames dump-typelib to dump-typelib-luajit), if you want it: http://pastie.org/6971722

ackalker commented on 2013-03-21 16:43

Please move or rename /usr/bin/dump-typelib, or conflict with lua-lgi, because of:
error: failed to commit transaction (conflicting files)
luajit-lgi: /usr/bin/dump-typelib exists in filesystem
/usr/bin/dump-typelib is owned by lua-lgi 0.7.1-1